using System;
class Primer{
    static void Main()
    {
        int n , k , br , i , j ;
        n = int.Parse(Console.Read());
        k = int.Parse(Console.Read());
        int[] m = new int[n];
        for(i=0;i<n;i++) m=0;
        int[] a = new int[n];
        int[] an = new int[2n+1];
        for(i=0;i<=2n;i++) an[i]=i-n;
        sting p = Console.ReadLine();
        string[] pa = p.Split(' ')
        for(i=0;i<n;i++) a[i]=int.Parse(pa[i])
        for(i=0;i<n;i++)
        {
            for(j=0;j<n;j++)
            {
                if(a[i]==a[j])
                {
                    m[j]++;
                    a[j]=n+j;
                }
            }
        }
        for(i=0;i<n;i++) 
        {
            if(m[i]>=k) 
            {
                br++;
            }
        }
        Console.WriteLine(br);
        int[] s = new int[br];
        int c = 0;
        for(i=0;i<n;i++) 
        {
            if(m[i]>=k) 
            {
                s[c]=m[i];
                c++;
            }
        }
        Console.Write(s[0])
        for(i=1;i<br;i++) 
        {
            Console.Write(" {0}",s[i]);
        }
    }
}